# Gets a referral by ID Returns a referral object by ID if it exists. Endpoint: GET /v1/referrals/{id} Version: 1.0 Security: oAuth2ClientCredentials ## Path parameters: - `id` (string, required) ## Response 200 fields (application/json): - `id` (string, required) Unique identifier for the referral. - `referral_signup_url` (string, required) Signup URL to redirect prospects to complete their onboarding flow. Note: Necessary disclosures must be shown when the prospect clicks on this link. - `expires_at` (string, required) The time at which this referral link expires. - `customer_email` (string,null) Customer's email address registered for the Brex application. This field is available only if there's a signup completed. - `status` (string, required) Status of the referral. UNCLAIMED or EXPIRED unless the customer completes signup. Customers are attributed once ACTIVE until the account is CLOSED. Enum: "UNCLAIMED", "EXPIRED", "ACTIVE", "CLOSED" - `products` (array, required) - `products.cash` (object, required) Available if customer applied for Brex Cash. - `products.cash.accounts` (array,null) - `products.cash.accounts.id` (string, required) Brex Cash management account ID. - `products.cash.accounts.instructions` (object,null) Domestic and international ACH/wire instructions. - `products.cash.accounts.instructions.domestic` (object, required) Domestic ACH/wire instructions. - `products.cash.accounts.instructions.domestic.account_type` (string, required) - `products.cash.accounts.instructions.domestic.bank_account_number` (string, required) - `products.cash.accounts.instructions.domestic.bank_routing_number` (string, required) - `products.cash.accounts.instructions.domestic.beneficiary_name` (string, required) - `products.cash.accounts.instructions.domestic.beneficiary_address` (string, required) - `products.cash.accounts.instructions.domestic.bank_name` (string, required) - `products.cash.accounts.instructions.domestic.bank_address` (string, required) - `products.cash.accounts.instructions.international` (object, required) International wire instructions. - `products.cash.accounts.instructions.international.swift_account_number` (string, required) - `products.cash.accounts.instructions.international.swift_bank_number` (string, required) - `products.cash.accounts.instructions.international.special_instructions` (string, required) - `products.cash.accounts.created_at` (string, required) - `products.cash.application` (object, required) - `products.cash.application.status` (string, required) Application status of a product. NO_ACCOUNT - There is no active application, and the product account is not provisioned. ACTIVE - The application is approved, and the product account is provisioned. NOT_SUBMITTED - The application is started but not yet submitted. INFORMATION_PENDING - The application is submitted and additional information is requested. MANUAL_REVIEW - The application is under manual review. PROCESSING - The application is submitted and is under review. REJECTED - The application is rejected. CLOSED - The product account is closed. Enum: "NO_ACCOUNT", "ACTIVE", "NOT_SUBMITTED", "INFORMATION_PENDING", "MANUAL_REVIEW", "PROCESSING", "REJECTED", "CLOSED" ## Response 401 fields ## Response 404 fields